Bug 71430 - machine won't boot with invalid ldap sources
machine won't boot with invalid ldap sources
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.3
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-13 11:56 EDT by Chad Cunningham
Modified: 2015-01-07 18:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:12:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Cunningham 2002-08-13 11:56:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
I have found that if you configure /etc/nsswitch.conf to use an ldap source that
doesn't exist (say you tell it to find hosts in ldap as well as files, but the
hosts entry does not exist in the database), the machine will become unusable
after attempting to run authconfig and will refuse to boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. edit /etc/nsswitch.conf and add 'ldap' to an entry for which no ldap schema
exists in the ldap database
2. save file, run authconfig

Actual Results:  machine immediately becomes extremely sluggish forcing a
reboot. After rebooting, INIT says that all ID's are respawning too fast and
will be disabled for 5 minutes. The machine will not boot.

Expected Results:  An error message about an invalid data source.

Additional info:

I first experienced this while trying to set up a client to authenticate using
LDAP and thought it was an unrelated problem. However on a second attempt, the
same thing occured and I have verified it is reproducable. The only way to bring
the system back is to boot off a rescue disk and edit /etc/nsswitch.conf to
remove the 'ldap' parameter from services that have no valid ldap entries. For
example, I have both user and group data in the ldap database. I can tell those
entries to use ldap and it is fine, however if I add ldap to the hosts line,
then this will occur as there is no host entry in the ldap database. Doing so
may not exactly be desireable, but having the machine become unusable because of
this seems like a bad thing.
Comment 1 Bill Nottingham 2006-08-05 01:29:12 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 13:12:36 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.